# $Revision: 1.12.2.6 $, $Date: 2006/05/18 20:20:06 $ 
#
# Conditional build:
%bcond_without	epiphany	# don't build epiphany extension
#
Summary:	A download manager for GNOME
Summary(pl):	Zarzdca pobierania plikw dla GNOME
Name:		gwget
Version:	0.98
Release:	3
License:	GPL v2
Group:		X11/Applications/Networking
Source0:	http://ftp.gnome.org/pub/gnome/sources/gwget/0.98/%{name}-%{version}.tar.bz2
# Source0-md5:	65741ee34c30a425f66efc2237f61e41
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-libnotify.patch
URL:		http://www.gnome.org/projects/gwget/
BuildRequires:	GConf2-devel
%{?with_epiphany:BuildRequires:	epiphany-devel >= 2.14.0}
BuildRequires:	gtk+2-devel >= 2:2.8.3
BuildRequires:	intltool >= 0.34
BuildRequires:	libgnomeui-devel >= 2.14.0
BuildRequires:	libnotify-devel >= 0.4.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
Requires(post,preun):	GConf2
Requires:	libgnomeui >= 2.14.0
Requires:	wget >= 1.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gwget is a download manager for GNOME.

%description -l pl
Gwget to zarzdca pobierania plikw dla GNOME.

%package -n epiphany-extension-gwget
Summary:	Epiphany extension - gwget
Summary(pl):	Rozszerzenie dla Epiphany - gwget
Group:		X11/Applications/Networking
Requires:	%{name} = %{version}-%{release}
Requires:	epiphany >= 2.14.0

%description -n epiphany-extension-gwget
Epiphany extension that uses gwget to download files.

%description -n epiphany-extension-gwget -l pl
Rozszerzenie dla Epiphany wykorzystujce gwget do pobierania plikw.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure \
	--disable-schemas-install \
	%{!?with_epiphany: --disable-epiphany-extension}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

rm -rf $RPM_BUILD_ROOT%{_includedir}/gwget

%if %{with epiphany}
rm -f $RPM_BUILD_ROOT%{_libdir}/epiphany/1.8/extensions/*.{a,la}
%endif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install gwget.schemas

%preun
%gconf_schema_uninstall gwget.schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/idl/*
%{_desktopdir}/*
%{_libdir}/bonobo/servers/*
%{_pixmapsdir}/*
%{_sysconfdir}/gconf/schemas/gwget.schemas

%if %{with epiphany}
%files -n epiphany-extension-gwget
%defattr(644,root,root,755)
%attr(755,root,root)%{_libdir}/epiphany/2.14/extensions/libgwgetextension.so*
%{_libdir}/epiphany/2.14/extensions/gwget.xml
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gwget.spec,v $
Revision 1.12.2.6  2006/05/18 20:20:06  baggins
- release 3
- strict reqs

Revision 1.12.2.5  2006/05/18 10:13:19  baggins
- rel 2
- fix libnotify build

Revision 1.12.2.4  2006/05/18 10:08:37  baggins
- up to 0.98

Revision 1.12.2.3  2006/05/18 08:39:12  baggins
- fixed dirs

Revision 1.12.2.2  2006/05/18 08:37:23  baggins
- build with new epiphany

Revision 1.12.2.1  2006/05/17 17:08:30  baggins
- release 2

Revision 1.12  2005/09/07 08:25:38  paladine
- updated to 0.96
- remove useless header files
- require epiphany >= 1.8.0

Revision 1.11  2005/05/17 10:45:39  paladine
- updated to 0.95
- removed outdated stuff

Revision 1.10  2005/04/08 11:35:15  paladine
- new style macros
- rel. 2, STBR

Revision 1.9  2005/03/15 08:39:55  paladine
- updated to 0.94
- project moved to gnome.org (URL and Source0 changed)
- require some new stuff

Revision 1.8  2005/01/25 11:54:51  paladine
- updated to 0.93
- proper license
- STBR

Revision 1.7  2004/12/09 11:01:48  paladine
- updated to 0.92
- could someone look at the epipihany extension stuff
- if everything is ok then STBR

Revision 1.6  2004/11/30 08:03:39  paladine
- updated to 0.91

Revision 1.5  2004/11/27 18:52:07  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.4  2004/10/15 23:06:00  paladine
- added more files
- added epiphany extension subpackage with condicional build
- rel 1 (builds and works)

Revision 1.3  2004/10/15 21:10:50  paszczus
- updated to 0.90
- added Source0-size
- added BR: perl-XML-Parser, gtk+-2
- rel 0.1 ; test build please

Revision 1.2  2004/10/06 10:38:22  qboosh
- typo, unifications, missing dir, release 2

Revision 1.1  2004/09/18 01:48:54  undefine
- initital version by Kamil 'paladine' Kosiski
